package com.danilafe.fencelessgrazing

import android.view.View
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.danilafe.fencelessgrazing.model.CollarSummary

class CollarViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
    private val nameView: TextView = itemView.findViewById(R.id.collarSummaryName)
    private val positionView: TextView = itemView.findViewById(R.id.collarSummaryPos)

    fun bindData(summary: CollarSummary) {
        nameView.text = summary.name
        // TODO figure out how to get getString here.
        positionView.text = "Currently at ${summary.pos.longitude}, ${summary.pos.latitude}"
    }
}